import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/database/entities/defines.dart';
import 'package:vitalapp/database/entities/diagnosis.dart';

import 'base.dart';

abstract class IRecordDataCacheManager implements IManager {
  Future<bool> saveRecordData(String appDataId, String patientCode,
      Map<String, dynamic> diagnosisDataValue);

  Future<bool> recordSyncStateChange(
    String appDataId, {
    OfflineDataSyncState state = OfflineDataSyncState.success,
  });

  Future<DiagnosisEntity?> getLastRecordByPatientCode(String patientCode);

  Future<List<DiagnosisEntity>> getNoSubmitRecords(String patientCode);

  Future<List<DiagnosisItem>> convertDiagnosisDataToList(
      Map<String, dynamic> diagnosisDataValue);

  /// 校验是否有没有填写
  Future<List<DiagnosisItem>> verifyDiagnosisDataList(
      Map<String, dynamic> diagnosisDataValue);
}
